Subject: Re: [bug#72536] [PATCH] tap: new `--merge-prefix' option to prefix stderr before merging

From: Jacob Bachmeyer <[email-masked]>
Date: Sat, 10 Aug 2024 17:45:53 -0500

Karl Berry wrote:
>     How about `--stderr-prefix`?  
>     ...
>     I could make this option independent of `--merge` and always prefix each 
>     line of the test script's stderr.
>
> Sounds sensible to me. Clear behavior is good. I like that better than
> implicitly turning on --merge.
>   

I like this idea, too.

> [...]
>
> Instead, as a nod to practicality aka kludge, I wonder about replacing
> the string "sharp" (or "octothorpe", or some such) in the argument with a #.
>   

How about recognizing the Autoconf @%:@ quadrigraph for #?  If need be, 
it could be escaped as @%@&t@:@ to get past the regular quadrigraph 
processing.

-- Jacob